# Written For Python3+
# Written By: InformalAbsence
# Email: informalabsence@gmail.com

from datetime import datetime
from Phidget22.Devices.DigitalOutput import *
import time


# Active Hours
ON_TIME = 8 # Turn on at 8 AM 
OFF_TIME = 22 # Turn off at 10 PM

# Hub Port For Plug
PLUG_PORT = 0 

# Set Up Phidget Plug
plug = DigitalOutput()
# Assign Port
plug.setHubPort(PLUG_PORT)
plug.setIsHubPortDevice(True)
# Open
plug.openWaitForAttachment(1000)

# Loop while checking time 
while True:
    # Print Out Current Time, just for refrence
    print("Current Time {}".format(datetime.now().strftime("%H:%M:%S")))
    # If time is between active hours, turn on plug
    if int(datetime.now().strftime("%H")) >= ON_TIME and int(datetime.now().strftime("%H")) < OFF_TIME:
        # Turn on Plug
        print("Plug Is On.")
        plug.setState(True)
    else:
        # Turn Off Plug
        print("Plug Is Off.")
        plug.setState(False)
    
    # Sleep for 60 seconds
    time.sleep(600)

